package cn.com.tenlion.configcontent.pojo.vos.contentdispatch;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentDispatchVO
 * @Description: CBC内容管理转发记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:35:42
 * @Version: 3.0
 **/
@ApiModel
public class ContentDispatchVO {

    @ApiModelProperty(name = "businessId", value = "业务ID")
    @CheckEmptyAnnotation(name = "业务ID")
    private String businessId;
    @ApiModelProperty(name = "contentDispatchDevice", value = "转发目标1:微信,2:QQ")
    @CheckEmptyAnnotation(name = "转发目标")
    private String contentDispatchDevice;
    @ApiModelProperty(name = "contentDispatchParentId", value = "上一级转发ID")
    private String contentDispatchParentId;
    @ApiModelProperty(name = "contentDispatchUserName", value = "转发人姓名")
    private String contentDispatchUserName;
    @ApiModelProperty(name = "contentDispatchUserIcon", value = "转发人头像")
    private String contentDispatchUserIcon;
    @ApiModelProperty(name = "contentDispatchContent", value = "转发携带文字")
    private String contentDispatchContent;

    public String getContentDispatchContent() {
        return contentDispatchContent == null ? "" : contentDispatchContent;
    }

    public void setContentDispatchContent(String contentDispatchContent) {
        this.contentDispatchContent = contentDispatchContent;
    }

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentDispatchParentId() {
        return contentDispatchParentId == null ? "" : contentDispatchParentId.trim();
    }

    public void setContentDispatchParentId(String contentDispatchParentId) {
        this.contentDispatchParentId = contentDispatchParentId;
    }

    public String getContentDispatchUserName() {
        return contentDispatchUserName == null ? "" : contentDispatchUserName.trim();
    }

    public void setContentDispatchUserName(String contentDispatchUserName) {
        this.contentDispatchUserName = contentDispatchUserName;
    }

    public String getContentDispatchUserIcon() {
        return contentDispatchUserIcon == null ? "" : contentDispatchUserIcon.trim();
    }

    public void setContentDispatchUserIcon(String contentDispatchUserIcon) {
        this.contentDispatchUserIcon = contentDispatchUserIcon;
    }

    public String getContentDispatchDevice() {
        return contentDispatchDevice == null ? "" : contentDispatchDevice.trim();
    }

    public void setContentDispatchDevice(String contentDispatchDevice) {
        this.contentDispatchDevice = contentDispatchDevice;
    }


}
